import OrderedObject from "../server/db/model/OrderedObject.js"

window.testSuites.push(
    
    class testOrderedObject {
            
        async addShouldFailIfKeyIsDuplicate() {
            class Test extends OrderedObject {
                
            }

            let test = new Test()

            test.add("1", {name: "hello"})

            try {
                test.add("1", {name: "bye"})
            } catch(e){
                return
            }

            return "Received no error!"
        }
        
    }
    
)